#!/bin/sh

for x in /dev/md/* ; do
	mdadm --stop $x
done

for disk in $(list-harddrives | grep -v fd0 | awk '{printf $1 " "}'); do
	wipefs -a /dev/$disk
	dd if=/dev/zero of=/dev/$disk bs=512 count=32
	parted -s ${disk} mklabel gpt;
	partprobe
done

SWSIZE=$(grep MemTotal /proc/meminfo  | awk '{print int($2/1024)+1}')
if [ ${SWSIZE} -gt 2048 ]; then
	SWSIZE=2048
fi

set $(list-harddrives | grep -v fd0 | grep -v md[0-9] | awk '{printf $1 " "}')
HD1=$1
HD2=$2

SIZE1=$(fdisk -l "/dev/${HD1}"  2>/dev/null  | grep Disk | grep dev |  sed 's/://'|awk '{print $5}')

# get disk size in GB
#  DISKSIZE=`parted -sm /dev/$DEV unit GB print | grep -e "$DEV" | cut -d: -f2 | sed -e 's/GB$//'`

if [ -d /sys/firmware/efi ]; then
	efibootmgr -v | grep BootCurrent | cut -d' ' -f2 > /tmp/efi_booted
	echo "part /boot/efi --fstype efi --size=250 --ondisk=${HD1}" >> /tmp/part-include
else
	# bios boot partition necessary
	cat >> /tmp/part-include <<- EOF
	part biosboot --fstype=biosboot --size=2 --ondisk=${HD1}
	EOF
fi
cat >> /tmp/part-include <<- EOF
part swap --size=${SWSIZE} --asprimary --ondisk=${HD1}
part / --fstype xfs --mkfsoptions=-K --size=1 --grow --asprimary --ondisk=${HD1}
EOF